import type { Theme } from '../../lib/theming/Theme';
export declare const globalClasses: {
    afterLinkText: string;
};
export declare const jsStyles: {
    calcPulse(t: Theme): string;
    root(t: Theme): string;
    root5_5(): string;
    uploadButton(t: Theme): string;
    uploadButtonFocus(t: Theme): string;
    uploadButtonWithFile(t: Theme): string;
    uploadButtonIconGapSmall(t: Theme): string;
    uploadButtonIconGapMedium(t: Theme): string;
    uploadButtonIconGapLarge(t: Theme): string;
    dragOver(t: Theme): string;
    windowDragOver(t: Theme): string;
    contentInnerSmall(t: Theme): string;
    contentInnerMedium(t: Theme): string;
    contentInnerLarge(t: Theme): string;
    visuallyHidden(): string;
    afterLinkText(): string;
    afterLinkTextColor(t: Theme): string;
    afterLinkText_HasFiles(): string;
    warningButton(t: Theme): string;
    warningFile(t: Theme): string;
    errorButton(t: Theme): string;
    errorFile(t: Theme): string;
    hovered(t: Theme): string;
    hoveredBorderColor(t: Theme): string;
    linkHovered(t: Theme): string;
    disabled(t: Theme): string;
    disabledBackground(t: Theme): string;
    icon(t: Theme): string;
    iconRight(): string;
    iconDisabled(t: Theme): string;
    link(t: Theme): string;
    linkDisabled(t: Theme): string;
    singleFile(): string;
    iconSmall(t: Theme): string;
    iconMedium(t: Theme): string;
    iconLarge(t: Theme): string;
    iconSmall5_5(t: Theme): string;
    iconMedium5_5(t: Theme): string;
    iconLarge5_5(t: Theme): string;
};
export declare const jsRowStyles: {
    root(): string;
    uploadButtonWithFile(t: Theme): string;
    uploadButton(): string;
    uploadButtonWrapper(): string;
    uploadButtonIconGapSmall(t: Theme): string;
    uploadButtonIconGapMedium(t: Theme): string;
    uploadButtonIconGapLarge(t: Theme): string;
    sizeSmall(t: Theme): string;
    sizeMedium(t: Theme): string;
    sizeLarge(t: Theme): string;
    content(): string;
    contentWithFiles(): string;
};
export declare const jsTileStyles: {
    uploadButton(): string;
    uploadButtonWrapper(): string;
    uploadButtonWrapperSmall(t: Theme): string;
    uploadButtonWrapperMedium(t: Theme): string;
    uploadButtonWrapperLarge(t: Theme): string;
    uploadButtonWrapperEmptyFileSmall(t: Theme): string;
    uploadButtonWrapperEmptyFileMedium(t: Theme): string;
    uploadButtonWrapperEmptyFileLarge(t: Theme): string;
    uploadButtonWithFile(t: Theme): string;
    uploadButtonIconGapSmall(t: Theme): string;
    uploadButtonIconGapMedium(t: Theme): string;
    uploadButtonIconGapLarge(t: Theme): string;
    uploadButtonTileWithFileSmall(t: Theme): string;
    uploadButtonTileWithFileMedium(t: Theme): string;
    uploadButtonTileWithFileLarge(t: Theme): string;
    sizeSmall(t: Theme): string;
    sizeMedium(t: Theme): string;
    sizeLarge(t: Theme): string;
    content(): string;
    contentWithFiles(): string;
};
